提交 f03d35a6 编写于 作者: H heyanlong

3.3.2

上级 f09a0734
......@@ -20,7 +20,7 @@ func main() {
app := cli.NewApp()
app.Name = "sky_php_agent"
app.Usage = "the skywalking trace sending agent"
app.Version = "3.3.1"
app.Version = "3.3.2"
app.Flags = []cli.Flag{
&cli.StringSliceFlag{Name: "grpc", Usage: "SkyWalking collector address", Value: cli.NewStringSlice("127.0.0.1:11800")},
&cli.StringFlag{Name: "socket", Usage: "Pipeline for communicating with PHP", Value: "/tmp/sky-agent.sock"},
......
......@@ -18,9 +18,9 @@ You can run the following commands to install the SkyWalking PHP Agent.
## Install PHP Extension
```shell script
curl -Lo v3.3.1.tar.gz https://github.com/SkyAPM/SkyAPM-php-sdk/archive/v3.3.1.tar.gz
tar zxvf v3.3.1.tar.gz
cd SkyAPM-php-sdk-3.3.1
curl -Lo v3.3.2.tar.gz https://github.com/SkyAPM/SkyAPM-php-sdk/archive/v3.3.2.tar.gz
tar zxvf v3.3.2.tar.gz
cd SkyAPM-php-sdk-3.3.2
phpize && ./configure && make && make install
```
......@@ -29,7 +29,7 @@ phpize && ./configure && make && make install
For installing the sky-php-agent, you first need to build it:
```shell script
cd SkyAPM-php-sdk-3.3.1
cd SkyAPM-php-sdk-3.3.2
go build -o sky-php-agent cmd/main.go
chmod +x sky-php-agent
cp sky-php-agent /usr/local/bin
......
......@@ -47,6 +47,19 @@
<extsrcrelease />
<changelog>
{{release}}
<release>
<version>
<release>3.3.2</release>
<api>3.3.2</api>
</version>
<stability>
<release>stable</release>
<api>stable</api>
</stability>
<notes>
Fix bugs
</notes>
</release>
<release>
<version>
<release>3.3.1</release>
......
......@@ -15,10 +15,10 @@
<email>yanlong@php.net</email>
<active>yes</active>
</lead>
<date>2020-06-03</date>
<date>2020-06-05</date>
<version>
<release>3.3.1</release>
<api>3.3.1</api>
<release>3.3.2</release>
<api>3.3.2</api>
</version>
<stability>
<release>stable</release>
......@@ -166,6 +166,19 @@
<extsrcrelease />
<changelog>
<release>
<version>
<release>3.3.2</release>
<api>3.3.2</api>
</version>
<stability>
<release>stable</release>
<api>stable</api>
</stability>
<notes>
Fix bugs
</notes>
</release>
<release>
<version>
<release>3.3.1</release>
......
......@@ -25,7 +25,7 @@ extern zend_module_entry skywalking_module_entry;
#define phpext_skywalking_ptr &skywalking_module_entry
#define SKY_DEBUG 0
#define PHP_SKYWALKING_VERSION "3.3.1" /* Replace with version number for your extension */
#define PHP_SKYWALKING_VERSION "3.3.2" /* Replace with version number for your extension */
#ifdef PHP_WIN32
# define PHP_SKYWALKING_API __declspec(dllexport)
......
Markdown is supported
0% .
You are about to add 0 people to the discussion. Proceed with caution.
先完成此消息的编辑!
想要评论请 注册